<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Design</title>
    <!-- CSS only -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">  

</head>
<body>
    <div class="navbar">
        <nav class="navbar fixed-top navbar-light bg-light">
            <span class="navbar-brand mb-0 mx-3 my-0 h1">WIZARD</span>
            <span class="navbar-text list-group-horizontal-lg text-success text-uppercase"> Hello, {{user.first_name}} !          
            <a href="{% url 'logout' %}" class="btn btn-sm btn-danger mx-sm-2 my-0 text-white">Logout</a>
            </span>  
        </nav>
    </div>
    <div class="container my-lg-5">
        <div class="row">
            <div class="col-md-8">
                <h1 class="d-block h3">Generator options will be displayed here</h1>
                <a href="{% url 'output' %}" class="btn btn-outline-success btn-lg bottom-0">GENERATE</a>
            </div>
            
            <div class="col-md-4">
                
                    <div class="d-block p-2 bg-info text-white h-auto overflow-auto my-3">
                        
                            <h1 class="d-block h3">BRANDS </h1>
                            <ul class="list-group list-group-flush">
                              <li> <a href="{% url 'addBrand' %}" class="btn btn-outline-dark">Add brands</a></li>
                              <li>  </li>
                              {% for logo in logos %}
                              <li class="list-group-item">
                                <h1 class="h6 align-content-center font-monospace">{{logo.name}}</h1>
                                <h1 class="h6 align-content-center font-monospace">Category: {{logo.category}}</h1>
                                <a href="{% url 'design' %}?logo={{logo.name}}" text-decoration:none> <img class="img-fluid" src="{{logo.logo_file.url}}"> </a>
                                </li>
                              {% endfor %}
                    </div>
                    
                    <div class="d-block p-2 bg-dark text-white h-75 overflow-auto my-3">
                        <h1 class="d-block h3">ASSETS</h1>
                        <a href="{% url 'addAsset' %}" class="btn btn-outline-primary">Add assets</a>
                    {% for asset in assets %}
                        <div class="card my-2">
                          <img class="image-fluid" src="{{asset.image.url}}" alt="Card image cap">
                        </div>
                     {% empty %}
                     <br>
                     <h3 class="font-monospace h5">No assets</h3>
                    {% endfor %}
                    
                    </div>
                        
            </div>
            
        </div>

    </div>

    
</body>
</html>